=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-07-04 03:29:14 +0000
+++ bzrlib/builtins.py	2008-07-13 16:43:34 +0000
@@ -3515,7 +3515,10 @@
             testament_class = StrictTestament
         else:
             testament_class = Testament
-        b = WorkingTree.open_containing(branch)[0].branch
+        if branch == '.':
+            b = Branch.open_containing(branch)[0]
+        else:
+            b = Branch.open(branch)
         b.lock_read()
         try:
             if revision is None:

